; Here are all the error routine equates

_errdatatype       equ	466fh	; ERR:DATA TYPE
_errdomain         equ	4663h	; ERR:DOMAIN
_errd_op1not_r     equ	43f6h	; ERR:DOMAIN
_errnonreal        equ	4e78h	; ERR:DATA TYPE
_erroverflow       equ	465ah	; ERR:OVERFLOW
_errbadguess       equ	4690h	; ERR:BAD GUESS
_erriterations     equ	468dh	; ERR:ITERATIONS
_errsingularmat    equ	4660h	; ERR:SINGULAR MAT
_errtoltoosmall    equ	4693h	; ERR:TOL NOT MET
_errdimension      equ	4678h	; ERR:INVALID DIM
_errinvalid        equ	4681h	; ERR:INVALID
_errnon_real       equ	4669h	; ERR:NONREAL ANS
_errstatplot       equ	4696h	; ERR:STAT PLOT
_errdimmismatch    equ	4675h	; ERR:DIM MISMATCH
_errlinkxmit       equ	4699h	; ERR:LINK
_errstat           equ	4687h	; ERR:STAT
_errbreak          equ	4684h	; ERR:BREAK
_errdivby0         equ	465dh	; ERR:DIVIDE BY 0
_errd_op1notposint equ	43fah	; ERR:DOMAIN
_errmemory         equ	467eh	; ERR:MEMORY
_errnotenoughmem   equ	464eh	; ERR:MEMORY
_errundefined      equ	467bh	; ERR:UNDEFINED
_errargument       equ	4672h	; ERR:ARGUMENT
_errincrement      equ	4666h	; ERR:INCREMENT
_errsignchange     equ	468ah	; ERR:SIGN CHANGE
_errsyntax         equ	466ch	; ERR:SYNTAX

; Some undocumented rom calls

_gohome .equ 47A1h		; Go to home screen
lcddata .equ 11h			; Lcd Data Port
_memfree .equ 441Ah		; output: hl=free memory
_createprog .equ 448Ah		; creates a program (name in op1)
_getcsc .equ $4014            ; getkey routine, returns value to A

; Here are all the Direct Input key equates.. straight out of ASMGuru v4.0 by James Matthews

;Group 1
KeyRow_Pad .equ 0feh
KDown		.equ 254 
KLeft		.equ 253 
KRight	.equ 251 
KUp		.equ 247 

;Group 2
KeyRow_5 .equ 0fdh
KEnter	.equ 254 
KPlus		.equ 253 
KMinus	.equ 251 
KMul		.equ 247 
KDiv		.equ 239 
KPower	.equ 223 
KClear	.equ 191 

;Group 3
KeyRow_4 .equ 0fbh
kMinus2	.equ 254 
kThree	.equ 253 
kSix		.equ 251 
kNine		.equ 247 
kRbracket	.equ 239 
kTan		.equ 223 
kVars		.equ 191 

;Group 4
KeyRow_3 .equ 0f7h
KPoint	.equ 254 
KTwo		.equ 253 
KFive		.equ 251
KEight	.equ 247
KLbracket	.equ 239
KCos		.equ 223
KPrgm		.equ 191
KStat		.equ 127 

;Group 5
KeyRow_2 .equ 0efh
KZero		.equ 254
KOne		.equ 253
KFour		.equ 251
KSeven	.equ 247
KComma	.equ 239
KSin		.equ 223
KMatrx	.equ 191
KX		.equ 127 

;Group 6
KeyRow_1 .equ 0dfh
KSto		.equ 253
KLn		.equ 251
KLog		.equ 247
kX2		.equ 239
kX-1		.equ 223
kMath		.equ 191
kAlpha	.equ 127 

;Group 7
KeyRow_Top .equ 0bfh
KGraph	.equ 254
KTrace	.equ 253
KZoom		.equ 251
KWindow	.equ 247
KY		.equ 239
k2nd		.equ 223
kMode		.equ 191
kDel		.equ 127

.end
END
